#ifndef FILTERVIEW_H
#define FILTERVIEW_H

#include <View.h>
#include <MessageFilter.h>

class BRect;
class BPoint;
class BHandler;

class myFilter : public BMessageFilter {
public:
	myFilter(BView *newTarget);
	filter_result Filter(BMessage *msg, BHandler **handlr);
private:
	BView *target;
};

class filterview : public BView {
public:
	filterview(BRect r, const char* name, long unsigned int type, long unsigned int flags);
	void AttachedToWindow();
	void MouseDown(BPoint point);
	void SetDestView(void*);
private:
	BPoint firstclick;
	int32 mClickCount, mLastButton;
	BView *myView, *notMyView, *mLastView, *mDestView;
};

#endif